/*
 * author: Darren Bounds <dbounds@intrusense.com>
 * copyright: Copyright (C) 2002 by Darren Bounds
 * license: This software is under GPL version 2 of license
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * packit official page at http://packit.sourceforge.net
 */

#include "../include/packit.h" 
#include "../include/inject.h"
#include "../include/error.h"

libnet_t *
build_udp_hdr(libnet_t *packet_d)
{
#ifdef __DEBUG
    fprintf(stderr, "DEBUG: build_udp_hdr()\n");
#endif

    header_len = header_len + PACKIT_UDP_H;

    if(rand_sport)
        sport =  libnet_get_prand(LIBNET_PRu16);

    if(libnet_build_udp(
        sport, 
        dport, 
        header_len + payload_len, 
        0, 
        payload, 
        payload_len, 
        packet_d, 
        0) == -1)
    {
        fprintf(stderr, "\nError: Unable to build UDP header: %s\n", libnet_geterror(packet_d));
        exit(FAILURE);
    }

    return packet_d; 
}
